<?php
/**
 * @package SKT Bizness
 * Setup the WordPress core custom functions feature.
 *
*/

// add custom scripts to footer
function add_skt_script_footer(){ ?>
    <!-- prettyBox script // -->
    <link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url');?>/mixit/template.css" />
    <link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url');?>/mixit/prettyPhoto.css" />
    <script type="text/javascript" src="<?php bloginfo('template_url');?>/mixit/jquery.mixitup.min.js"></script>
    <script type="text/javascript" src="<?php bloginfo('template_url');?>/mixit/jquery.prettyPhoto.js"></script>    
    <script type="text/javascript">  
        jQuery(function(){
            jQuery('#Grid').mixitup(); 					
        });
    </script>
    <script type="text/javascript" charset="utf-8">
    jQuery(document).ready(function(){
        jQuery("area[rel^='prettyPhoto']").prettyPhoto();
    
        jQuery(".gallery:first a[rel^='prettyPhoto']").prettyPhoto({animation_speed:'normal',theme:'light_square',slideshow:3000, autoplay_slideshow: true});
        jQuery(".gallery:gt(0) a[rel^='prettyPhoto']").prettyPhoto({animation_speed:'fast',slideshow:10000, hideflash: true});
    
        jQuery("#custom_content a[rel^='prettyPhoto']:first").prettyPhoto({
            custom_markup: '<div id="map_canvas" style="width:260px; height:265px"></div>',
            changepicturecallback: function(){ initialize(); }
        });
    
        jQuery("#custom_content a[rel^='prettyPhoto']:last").prettyPhoto({
            custom_markup: '<div id="bsap_1259344" class="bsarocks bsap_d49a0984d0f377271ccbf01a33f2b6d6"></div><div id="bsap_1237859" class="bsarocks bsap_d49a0984d0f377271ccbf01a33f2b6d6" style="height:260px"></div><div id="bsap_1251710" class="bsarocks bsap_d49a0984d0f377271ccbf01a33f2b6d6"></div>',
            changepicturecallback: function(){ _bsap.exec(); }
        });
    });
    </script>

<?php 
} 
add_action('wp_footer', 'add_skt_script_footer');


//[code type=php]
function highlight_code_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'type' => 'php',
	), $atts ) );

	$hlCode = '<pre class="brush: php;">' . str_replace( array('<pre>','</pre>'), array('&lt;pre&gt;','&lt;/pre&gt;'), $content ) . '</pre>';;

	return $hlCode;
}
add_shortcode( 'code', 'highlight_code_func' );


// get_the_content format text
function get_the_content_format( $str ){
	$raw_content = apply_filters( 'the_content', $str );
	$content = str_replace( ']]>', ']]&gt;', $raw_content );
	//$content = str_replace('<p>', '',$raw_content);
	return $content;
}
// the_content format text
function the_content_format( $str ){
	echo get_the_content_format( $str );
}

// subhead section function
function sub_head_section( $more ) {
	$pgs = 0;
	do {
		$pgs++;
	} while ($more > $pgs);
	return $pgs;
}

function clear_func() {
	$clr = '<div class="clear"></div>';
	return $clr;
}
add_shortcode( 'clear', 'clear_func' );

function separator_shortcode_func($atts ) {
	extract( shortcode_atts( array(
		'height' => '50',
	), $atts ) );
	$sptr = '<div style="clear:both; min-height:20px; height:'.$height.'px; background:url('.get_template_directory_uri().'/images/hr_double.png) no-repeat center center transparent;"></div>';
	return $sptr;
}
add_shortcode( 'separator', 'separator_shortcode_func' );

function gradient_button_func( $atts ) {
	extract( shortcode_atts( array(
		'size' => 'small',
		'bg_color' => '#636b74',
		'color' => '#fff',
		'text' => 'More',
		'title' => 'Click',
		'url' => '',
		'position' => 'center',
	), $atts ) );
	$btn  = "<div class=\"clear\"></div>";
	$btn .= "<a href=\"{$url}\" ";
	$btn .= ($title != "") ? " title=\"{$title}\" " : "";
	$btn .= "class=\"grad-btn-{$size} btn-align-{$position}\" style=\"background-color:{$bg_color}; color:{$color}\">";
	$btn .= "{$text}</a>";
	$btn  .= "<div class=\"clear\"></div>";

	return $btn;
}
add_shortcode( 'gradient_button', 'gradient_button_func' );

function simple_button_func( $atts ) {
	extract( shortcode_atts( array(
		'size' => 'small',
		'bg_color' => '#636b74',
		'color' => '#fff',
		'text' => 'More',
		'title' => 'Click',
		'url' => '',
		'position' => 'left',
	), $atts ) );
	$btn  = "<div class=\"clear\"></div>";
	$btn .= "<a href=\"{$url}\" ";
	$btn .= ($title != "") ? " title=\"{$title}\" " : "";
	$btn .= "class=\"simple-btn-{$size} btn-align-{$position}\" style=\"background-color:{$bg_color}; color:{$color}\">";
	$btn .= "{$text}</a>";
	$btn  .= "<div class=\"clear\"></div>";

	return $btn;
}
add_shortcode( 'simple_button', 'simple_button_func' );

function round_button_func( $atts ) {
	extract( shortcode_atts( array(
		'style' => 'dark',
		'text' => 'More',
		'title' => 'Click',
		'url' => '',
		'position' => 'left',
	), $atts ) );
	$btn  = "<div class=\"clear\"></div>";
	$btn .= "<a href=\"{$url}\" ";
	$btn .= ($title != "") ? " title=\"{$title}\" " : "";
	$btn .= "class=\"round-btn-{$style} round-btn btn-align-{$position}\">";
	$btn .= "<span>{$text}</span></a>";
	$btn  .= "<div class=\"clear\"></div>";

	return $btn;
}
add_shortcode( 'round_button', 'round_button_func' );

function msg_box_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'type' => 'info',
		'bg_color' => '#f6f6f6',
		'color' => '#333',
		'start_color' => "#fff",
		'end_color' => "#eee",
		'border' => "#ccc",
		'align' => '',
		'width' => '100%',
	), $atts ) );
	$msg = '';

	if($type == 'success'){
		$msg  = '<div class="msg-success"><div class="msg-box-icon">';
		$msg .= ($content == '') ? "This is a sample of the 'success' style message box shortcode. To use this style use the following shortcode" : $content;
		$msg .= '</div></div>';
	}elseif($type == 'error'){
		$msg  = '<div class="msg-error"><div class="msg-box-icon">';
		$msg .= ($content == '') ? "This is a sample of the 'error' style message box shortcode. To use this style use the following shortcode." : $content;
		$msg .= '</div></div>';
	}elseif($type == 'warning'){
		$msg  = '<div class="msg-warning"><div class="msg-box-icon">';
		$msg .= ($content == '') ? "This is a sample of the 'warning' style message box shortcode. To use this style use the following shortcode." : $content;
		$msg .= '</div></div>';
	}elseif($type == 'info'){
		$msg  = '<div class="msg-info"><div class="msg-box-icon">';
		$msg .= ($content == '') ? "This is a sample of the 'info' style message box shortcode. To use this style use the following shortcode." : $content;
		$msg .= '</div></div>';
	}elseif($type == 'about'){
		$msg  = '<div class="msg-about"><div class="msg-box-icon">';
		$msg .= ($content == '') ? "This is a sample of the 'about' style message box shortcode. To use this style use the following shortcode." : $content;
		$msg .= '</div></div>';
	}elseif($type == 'custom'){
		$msg  = "<div style=\"width:{$width};\" class=\"msg-align-{$align}\"><div class=\"msg-custom\" style=\"background-color:{$end_color}; background: -moz-linear-gradient(center top , {$start_color}, {$end_color}); background: -webkit-gradient(linear, 0% 0%, 0% 100%, from({$start_color}), to({$end_color})); background: -webkit-linear-gradient(top, {$start_color}, {$end_color}); background: -ms-linear-gradient(top, {$start_color}, {$end_color}); background: -o-linear-gradient(top, {$start_color}, {$end_color}); border:1px {$border} solid; color:{$color};\">";
		$msg .= ($content == '') ? "This is a sample of the 'simple' style message box shortcode." : $content;
		$msg .= '</div></div><div class="clear"></div>';
	}elseif($type == 'simple'){
		$msg  = "<div class=\"msg-simple\" style=\"background-color:{$bg_color}; color:{$color};\">";
		$msg .= ($content == '') ? "This is a sample of the 'simple' style message box shortcode." : $content;
		$msg .= '</div>';
	}
	return $msg;
}
add_shortcode( 'message', 'msg_box_func' );

function pullquote_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'align' => '',
	), $atts ) );
	$quote = ($content == '' ) ? "<blockquote class=\"align-{$align}\">This is a pullquote. Lorem ipsum dolor sit amet, consectetur adipiscing elit sed pharetra aliquet metus.</blockquote>" : "<blockquote class=\"align-{$align}\">$content</blockquote>";

	return $quote;
}
add_shortcode( 'pullquote', 'pullquote_func' );

function toggle_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Click here to toggle content',
	), $atts ) );
	$tog_content = "<div class=\"toggle_holder\"><h3 class=\"slide_toggle\"><a href=\"#\">{$title}</a></h3>
					<div class=\"slide_toggle_content\">".get_the_content_format( $content )."</div></div>";

	return $tog_content;
}
add_shortcode( 'toggle_content', 'toggle_func' );

function tabs_func( $atts, $content = null ) {
	$tabs = '<div class="tabs-wrapper"><ul class="tabs">'.do_shortcode($content).'</ul></div>';
	return $tabs;
}
add_shortcode( 'tabs', 'tabs_func' );

function tab_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Tab Title',
	), $atts ) );
	$rand = rand(100,999);
	$tab = '<li><a rel="tab'.$rand.'" href="javascript:void(0)"><span>'.$title.'</span></a><div id="tab'.$rand.'" class="tab-content">'.get_the_content_format($content).'</div></li>';
	return $tab;
}
add_shortcode( 'tab', 'tab_func' );

function accordion_func( $atts, $content = null ) {
	$acc = '<div class="accordion-wrapper">'.get_the_content_format( do_shortcode($content) ).'<div class="clear"></div></div>';
	return $acc;
}
add_shortcode( 'accordion', 'accordion_func' );

function accordion_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Accordion Title',
	), $atts ) );
	$content = wpautop(trim($content));
	$acn = '<h3 class="accordion-toggle"><a href="#">'.$title.'</a></h3>
			<div class="accordion-container">
				<div class="content-block">'.$content.'</div>
			</div>';
	return $acn;
}
add_shortcode( 'accordion_content', 'accordion_content_func' );

function column_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'type' => '',
	), $atts ) );
	$colPos = strpos($type, '_last');
	if($colPos === false){
		$cnt = '<div class="'.$type.'">'.do_shortcode($content).'</div>';
	}else{
		$type = substr($type,0,$colPos);
		$cnt = '<div class="'.$type.' last_column">'.do_shortcode($content).'</div>';
	}
	return $cnt;
}
add_shortcode( 'column_content', 'column_content_func' );


function hrule_func() {
	$hrule = '<hr>';
	return $hrule;
}
add_shortcode( 'hr', 'hrule_func' );


function hr_top_func() {
	$hr_top = '<div class="clear linktotop"><a title="Top of Page" href="#top">Back to Top</a></div><hr>';
	return $hr_top;
}
add_shortcode( 'hr_top', 'hr_top_func' );

function dropcap_func( $atts, $content = null ) {
	$dcap = '<span class="dropcap">'.$content.'</span>';
	return $dcap;
}
add_shortcode( 'dropcap', 'dropcap_func' );


function unorderedlist_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'style' => 'list-1',
	), $atts ) );
	$content = wpautop(trim($content));
	$ulist = '<ul class="'.$style.'">'.$content.'</ul>';
	return $ulist;
}
add_shortcode( 'unordered_list', 'unorderedlist_func' );


function searchform_shortcode_func( $atts ){
	return get_search_form( false );
}
add_shortcode( 'searchform', 'searchform_shortcode_func' );

function new_excerpt_more( $more ) {
	return '... ';
}
add_filter('excerpt_more', 'new_excerpt_more');


function getPostCategories(){
	$categories = get_the_category();
	$catOut = '';
	$separator = ', ';
	$catOutput = '';
	if($categories){
		foreach($categories as $category) {
			$catOutput .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s", '' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
		}
		$catOut = 'Categories: '.trim($catOutput, $separator);
	}
	return $catOut;
}

function str_lreplace($search, $replace, $subject){
	$pos = strrpos($subject, $search);
	if($pos !== false){
		$subject = substr_replace($subject, $replace, $pos, strlen($search));
	}
	return $subject;
}

function recentposts_func( $atts ) {
   extract( shortcode_atts( array(
	//'col' => 4,
	), $atts ) );

	$bposts = '<div class="front_blog">';	
	$args = array('post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$bposts .= '
				<div class="list_blog_post"><h6><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_title().'</a></h6>				
				<p>'.skt_bizness_string_limit_words(get_the_excerpt(),15).'</p></div>';
		}
	}else{
		$bposts .= '<p>Sorry! There are no recent posts.</p>';
	}
	wp_reset_query();
	$bposts .= '<div class="clear"></div></div>';
    return $bposts;
}
add_shortcode( 'recentposts', 'recentposts_func' );

function contactform_func( $atts ) {
    $atts = shortcode_atts( array(
        'to_email' => get_bloginfo('admin_email'),
		'title' => 'Contact enquiry - '.get_bloginfo('url'),
    ), $atts );

	$cform = '';

	$cerr = array();
	if( isset($_POST['c_submit']) && $_POST['c_submit']=='Submit' ){
		$name 			= trim( $_POST['c_name'] );
		$email 			= trim( $_POST['c_email'] );
		$phone 			= trim( $_POST['c_phone'] );
		$comments 		= trim( $_POST['c_comments'] );
		$captcha 		= trim( $_POST['c_captcha'] );
		$captcha_cnf	= trim( $_POST['c_captcha_confirm'] );

		if( !$name )
			$cerr['name'] = 'Please enter your name.';
		if( ! filter_var($email, FILTER_VALIDATE_EMAIL) ) 
			$cerr['email'] = 'Please enter a valid email.';
		if( !$phone )
			$cerr['phone'] = 'Please enter your phone number.';
		if( !$comments )
			$cerr['comments'] = 'Please enter your question / comments.';
		if( !$captcha || (md5($captcha) != $captcha_cnf) )
			$cerr['captcha'] = 'Please enter the correct answer';

		if( count($cerr) == 0 ){
			$subject = $atts['title'];
			$headers = "From: ".$name." <" . strip_tags($email) . ">\r\n";
			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";

			$message = '<html><body>
							<table>
								<tr><td>Name: </td><td>'.$name.'</td></tr>
								<tr><td>Email: </td><td>'.$email.'</td></tr>
								<tr><td>Phone: </td><td>'.$phone.'</td></tr>
								<tr><td>Comments: </td><td>'.$comments.'</td></tr>
							</table>
						</body>
					</html>';
			mail( $atts['to_email'], $subject, $message, $headers);
			$cform .= '<div class="success_msg">Thank you! A representative will get back to you very shortly.</div>';
		}
	}
	
	$capNum1 	= rand(1,4);
	$capNum2 	= rand(1,5);
	$capSum		= $capNum1 + $capNum2;
	$sumStr		= $capNum1." + ".$capNum2 ." = ";
	$cform .= "<div class=\"contact-form\">";
	$cform .= "<form method=\"post\" action=\"\">";
	$cform .= "<p><input type=\"text\" class=\"cf_text\" placeholder=\"Name\" value=\"". ( ( empty($name) == false ) ? $name : "" ) ."\" name=\"c_name\" /> 
	<span class=\"error_msg\">".( ( empty($cerr["name"]) == false ) ? $cerr["name"] : "" ) ."</span></p>";
	$cform .= "<p><input type=\"text\" class=\"cf_text\" placeholder=\"Email\" value=\"". ( ( empty($email) == false ) ? $email : "" ) ."\" name=\"c_email\" />
	<span class=\"error_msg\">".( ( empty($cerr["email"]) == false ) ? $cerr["email"] : "" ) ."</span></p>";
	$cform .= "<p><input type=\"tel\" class=\"cf_text\" placeholder=\"Phone\" value=\"". ( ( empty($phone) == false ) ? $phone : "" ) ."\" name=\"c_phone\" />
	<span class=\"error_msg\">".( ( empty($cerr["phone"]) == false ) ? $cerr["phone"] : "" ) ."</span></p>";
	$cform .= "<p><textarea class=\"cf_textarea\" placeholder=\"Question / Comments\" rows=\"10\" name=\"c_comments\">". ( ( empty($comments) == false ) ? $comments : "" ) ."</textarea>
	<span class=\"error_msg\">".( ( empty($cerr["comments"]) == false ) ? $cerr["comments"] : "" ) ."</span></p>";
	$cform .= "<p>$sumStr<input type=\"text\" class=\"cf_captcha\" placeholder=\"Captcha\" value=\"". ( ( empty($captcha) == false ) ? $captcha : "" ) ."\" name=\"c_captcha\" /> 
	<input type=\"hidden\" name=\"c_captcha_confirm\" value=\"". md5($capSum)."\">";
	$cform .= "<input class=\"cf_button\" type=\"submit\" value=\"Submit\" name=\"c_submit\" />";
	$cform .= "<span class=\"error_msg\">".( ( empty($cerr["captcha"]) == false ) ? $cerr["captcha"] : "" ) ."</span>";
	$cform .= "</p></form></div>";

    return $cform;
}
add_shortcode( 'contactform', 'contactform_func' );



// function for word limit
function limit_words($str,$len){
	$strAr = explode(' ',$str);
	$strSl = array_slice($strAr,0,$len);
	return implode(' ', $strSl);
}

function skt_bizness_string_limit_words($string, $word_limit){
  $words = explode(' ', $string, ($word_limit + 1));
  if(count($words) > $word_limit)
  array_pop($words);
  return implode(' ', $words);
}

// shortcode for custom width
function skt_bizness_custom_width_func($atts, $content = null){
		extract(shortcode_atts(array(
			'width'		=> 'width',						
			'class'		=> null
		), $atts));
		return '<div class="'.$class.'" style="width:'.$width.';">'.do_shortcode($content).'</div>';		
}

add_shortcode('area','skt_bizness_custom_width_func');


function bizness_breadcrumb() {
	if (!is_home()) {
		echo '<a href="';
		echo get_option('home');
		echo '">';
		echo "Home" ; //bloginfo('name');
		echo "</a> &raquo; ";
		if (is_category() || is_single()) {
			the_category('title_li=');
			if (is_single()) {
				echo " ";
				the_title();
			}
		} elseif (is_page()) {
			echo the_title();
		}
	}
}

function skt_biz_social_icons($atts){
	extract(shortcode_atts(array(
		'icon' => '',
		'link'	=> '#'
	), $atts));
		return '<a href="'.$link.'" target="_blank"><i class="fa fa-'.$icon.' fa-lg"></i></a>';
	}
	
add_shortcode('social','skt_biz_social_icons');


//custom post type for Services
function skt_bizness_custom_post_services() {
	$labels = array(
		'name'               => __( 'Services' ),
		'singular_name'      => __( 'Services' ),
		'add_new'            => __( 'Add New' ),
		'add_new_item'       => __( 'Add New Services' ),
		'edit_item'          => __( 'Edit Services' ),
		'new_item'           => __( 'New Services' ),
		'all_items'          => __( 'All Services' ),
		'view_item'          => __( 'View Services' ),
		'search_items'       => __( 'Search Services' ),
		'not_found'          => __( 'No Services found' ),
		'not_found_in_trash' => __( 'No Services found in the Trash' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Services'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Services',
		'public'        => true,
		'menu_icon'		=> 'dashicons-hammer',
		'menu_position' => null,
		'supports'      => array( 'title', 'editor', 'thumbnail' ),
		'has_archive'   => true,
	);
	register_post_type( 'our-services', $args );
	flush_rewrite_rules(); 
}
add_action( 'init', 'skt_bizness_custom_post_services' );

//custom post type for Testimonails
function skt_bizness_custom_testimonails() {
$return_string = "";
   query_posts('post_type=testimonial&showposts=10'); 
   if ( have_posts() ) : 
      $return_string .= '<ul id="testimonials">';	  
       while ( have_posts() ) : the_post();
	     $return_string .= '<li class="list_testimonials">';		
		 $return_string .= '<p>'.get_the_excerpt().'</p>';	
		  $return_string .= '<cite> -'.get_the_title().'</cite>'; 	
		 $return_string .= '</li>'; 	
		 
      endwhile;		 
	  $return_string .= '</ul>';
	   
	  else:
	  $return_string .= '<ul id="testimonials">
	  			<li class="list_testimonials">                   
                    <p>"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque quis massa vestibulum dui."</p>
					<cite> - John Doe</cite>
				</li>
				
				<li class="list_testimonials">                   
                    <p>"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque quis massa vestibulum dui."</p> 
					 <cite> - Mario Speedwagon</cite>
				</li>
				
				<li class="list_testimonials">                   
                    <p>"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque quis massa vestibulum dui."</p> 
					 <cite> - Mario Speedwagon</cite>
				</li>	
								
			</ul>';			
	  endif;  
	 
   wp_reset_query();
   return $return_string;
  
}
add_shortcode( 'testimonials', 'skt_bizness_custom_testimonails' );


//custom post type for Testimonials
function skt_bizness_testimonials() {
	$labels = array(
		'name'               => __( 'Testimonials' ),
		'singular_name'      => __( 'Testimonials' ),
		'add_new'            => __( 'Add New' ),
		'add_new_item'       => __( 'Add New Testimonials' ),
		'edit_item'          => __( 'Edit Testimonials' ),
		'new_item'           => __( 'New Testimonials' ),
		'all_items'          => __( 'All Testimonials' ),
		'view_item'          => __( 'View Testimonials' ),
		'search_items'       => __( 'Search Testimonials' ),
		'not_found'          => __( 'No Testimonials found' ),
		'not_found_in_trash' => __( 'No Testimonials found in the Trash' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Testimonials'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Testimonials',
		'public'        => true,
		'menu_icon'		=> 'dashicons-testimonial',
		'menu_position' => null,
		'supports'      => array( 'title', 'editor', 'thumbnail', 'excerpt' ),
		'rewrite' => array('slug' => 'testimonials'),
		'has_archive'   => true,
	);
	register_post_type( 'testimonial', $args );	
}
add_action( 'init', 'skt_bizness_testimonials' );


//custom post type for Our photogallery
function my_custom_post_photogallery() {
	$labels = array(
		'name'               => __( 'Photo Gallery','' ),
		'singular_name'      => __( 'Photo Gallery','' ),
		'add_new'            => __( 'Add New','' ),
		'add_new_item'       => __( 'Add New Image','' ),
		'edit_item'          => __( 'Edit Image','' ),
		'new_item'           => __( 'New Image','' ),
		'all_items'          => __( 'All Images','' ),
		'view_item'          => __( 'View Image','' ),
		'search_items'       => __( 'Search Images','' ),
		'not_found'          => __( 'No images found','' ),
		'not_found_in_trash' => __( 'No images found in the Trash','' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Photo Gallery'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Photo Gallery',
		'public'        => true,
		'menu_icon'		=> 'dashicons-format-gallery',
		'menu_position' => null,
		'supports'      => array( 'title', 'thumbnail' ),
		'has_archive'   => true,
	);
	register_post_type( 'photogallery', $args );
}
add_action( 'init', 'my_custom_post_photogallery' );


//  register gallery taxonomy
register_taxonomy( "gallerycategory", 
	array("photogallery"), 
	array(
		"hierarchical" => true, 
		"label" => "Gallery Category", 
		"singular_label" => "Photo Gallery", 
		"rewrite" => true
	)
);

add_action("manage_posts_custom_column",  "photogallery_custom_columns");
add_filter("manage_edit-photogallery_columns", "photogallery_edit_columns");
function photogallery_edit_columns($columns){
	$columns = array(
		"cb" => '<input type="checkbox" />',
		"title" => "Gallery Title",
		"pcategory" => "Gallery Category",
		"view" => "Image",
		"date" => "Date",
	);
	return $columns;
}
function photogallery_custom_columns($column){
	global $post;
	switch ($column) {
		case "pcategory":
			echo get_the_term_list($post->ID, 'gallerycategory', '', ', ','');
		break;
		case "view":
			the_post_thumbnail('thumbnail');
		break;
		case "date":

		break;
	}
}


//[photogallery filter="false"]
function photogallery_shortcode_func( $atts ) {
	extract( shortcode_atts( array(
		'show' => -1,
		'filter' => 'true'
	), $atts ) );
	$pfStr = '';

	$pfStr .= '<div class="photobooth">';
	/*if( $filter == 'true' ){
		$pfStr .= '<div class="filter-gallery"><ul class="clean" id="filter"><li class="current"><a href="javascript:void(0)">All</a></li>';
		$categories = get_categories( array('taxonomy' => 'gallerycategory') );
		foreach ($categories as $category) {
			$pfStr .= '<li><a href="javascript:void(0)">'.$category->name.'</a></li>';
		}
		$pfStr .= '</ul></div>';
	}*/

	$pfStr .= '<div class="gallery"><ul class="clean" id="portfolio">';
	query_posts('post_type=photogallery&posts_per_page='.$show); 
	if ( have_posts() ) : while ( have_posts() ) : the_post(); 
		$videoUrl = get_post_meta( get_the_ID(), 'video_file_url', true);
		$imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
		$terms = wp_get_post_terms( get_the_ID(), 'gallerycategory', array("fields" => "all"));
		$slugAr = array();
		foreach( $terms as $tv ){
			$slugAr[] = $tv->slug;
		}
		if ( $imgSrc[0]!='' ) {
			$imgUrl = $imgSrc[0];
		}else{
			$imgUrl = get_template_directory_uri().'/images/img_404.png';
		}
		$pfStr .= '<li class="'.implode(' ', $slugAr).'">
                <strong>'.get_the_title().'</strong>
                <p><span>'.get_the_content().'</span></p>
                <a href="'.( ($videoUrl) ? $videoUrl : $imgSrc[0] ).'" rel="prettyPhoto[pp_gal]"><img src="'.$imgUrl.'" /></a>
            </li>';
		unset( $slugAr );
	endwhile; else: 
		$pfStr .= '<p>Sorry, photo gallery is empty.</p>';
	endif; 
	wp_reset_query();
	$pfStr .= '</ul></div>';
	$pfStr .= '<div class="clear"></div></div>';
	return $pfStr;
}
add_shortcode( 'photogallery', 'photogallery_shortcode_func' );

//custom post type for Our Team
function my_custom_post_team() {
	$labels = array(
		'name'               => __( 'Our Team', 'skt-bizness' ),
		'singular_name'      => __( 'Our Team', 'skt-bizness' ),
		'add_new'            => __( 'Add New', 'skt-bizness' ),
		'add_new_item'       => __( 'Add New Team Member', 'skt-bizness' ),
		'edit_item'          => __( 'Edit Team Member', 'skt-bizness' ),
		'new_item'           => __( 'New Team Member', 'skt-bizness' ),
		'all_items'          => __( 'All Team Members', 'skt-bizness' ),
		'view_item'          => __( 'View Team Members', 'skt-bizness' ),
		'search_items'       => __( 'Search Team Members', 'skt-bizness' ),
		'not_found'          => __( 'No team members found', 'skt-bizness' ),
		'not_found_in_trash' => __( 'No team members found in the Trash', 'skt-bizness' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Our Team'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Team',
		'public'        => true,
		'menu_icon'		=> 'dashicons-groups',
		'menu_position' => null,
		'supports'      => array( 'title', 'editor', 'thumbnail' ),
		'has_archive'   => true,
	);
	register_post_type( 'team', $args );
}
add_action( 'init', 'my_custom_post_team' );
// add meta box to team
add_action( 'admin_init', 'my_team_admin_function' );
function my_team_admin_function() {
    add_meta_box( 'team_meta_box',
        'Member Info',
        'display_team_meta_box',
        'team', 'normal', 'high'
    );
}
// add meta box form to team
function display_team_meta_box( $team ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $designation = esc_html( get_post_meta( $team->ID, 'designation', true ) );
    $facebook = get_post_meta( $team->ID, 'facebook', true );
	$facebooklink = esc_url( get_post_meta( $team->ID, 'facebooklink', true ) );
    $twitter = get_post_meta( $team->ID, 'twitter', true );
	$twitterlink = esc_url( get_post_meta( $team->ID, 'twitterlink', true ) );
    $linkedin = get_post_meta( $team->ID, 'linkedin', true );
	$linkedinlink = esc_url( get_post_meta( $team->ID, 'linkedinlink', true ) );
    $skype = get_post_meta( $team->ID, 'skype', true );
	$skypelink = get_post_meta( $team->ID, 'skypelink', true );
    $link = esc_html( get_post_meta( $team->ID, 'link', true ) );
    ?>
    <table width="100%">
        <tr>
            <td width="20%">Designation </td>
            <td width="80%"><input type="text" name="designation" value="<?php echo $designation; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social link 1</td>
            <td width="40%"><input type="text" name="facebook" value="<?php echo $facebook; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="facebooklink" value="<?php echo $facebooklink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 2</td>
            <td width="40%"><input type="text" name="twitter" value="<?php echo $twitter; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="twitterlink" value="<?php echo $twitterlink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 3</td>
            <td width="40%"><input type="text" name="linkedin" value="<?php echo $linkedin; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="linkedinlink" value="<?php echo $linkedinlink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 4</td>
            <td width="40%"><input type="text" name="skype" value="<?php echo $skype; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="skypelink" value="<?php echo $skypelink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Read More Link </td>
            <td width="80%"><input type="text" name="link" value="<?php echo $link; ?>" /></td>
        </tr>
    </table>
    <?php
}
// save team meta box form data
add_action( 'save_post', 'add_team_fields_function', 10, 2 );
function add_team_fields_function( $team_id, $team ) {
    // Check post type for testimonials
    if ( $team->post_type == 'team' ) {
        // Store data in post meta table if present in post data
        if ( isset($_POST['designation']) ) {
            update_post_meta( $team_id, 'designation', $_POST['designation'] );
        }
        if ( isset($_POST['facebook']) ) {
            update_post_meta( $team_id, 'facebook', $_POST['facebook'] );
        }
		if ( isset($_POST['facebooklink']) ) {
            update_post_meta( $team_id, 'facebooklink', $_POST['facebooklink'] );
        }
        if ( isset($_POST['twitter']) ) {
            update_post_meta( $team_id, 'twitter', $_POST['twitter'] );
        }
		if ( isset($_POST['twitterlink']) ) {
            update_post_meta( $team_id, 'twitterlink', $_POST['twitterlink'] );
        }
        if ( isset($_POST['linkedin']) ) {
            update_post_meta( $team_id, 'linkedin', $_POST['linkedin'] );
        }
		if ( isset($_POST['linkedinlink']) ) {
            update_post_meta( $team_id, 'linkedinlink', $_POST['linkedinlink'] );
        }
        if ( isset($_POST['skype']) ) {
            update_post_meta( $team_id, 'skype', $_POST['skype'] );
        }
		if ( isset($_POST['skypelink']) ) {
            update_post_meta( $team_id, 'skypelink', $_POST['skypelink'] );
        }
        if ( isset($_POST['link']) ) {
            update_post_meta( $team_id, 'link', $_POST['link'] );
        }
    }
}

function ourteamposts_func( $atts ) {
   extract( shortcode_atts( array(
		'col' => 3,
	), $atts ) );

	$bposts = '<div>';
	$args = array( 'post_type' => 'team', 'posts_per_page' => -1, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			$n++;
			$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );
			$facebook = get_post_meta( get_the_ID(), 'facebook', true );
			$facebooklink = get_post_meta( get_the_ID(), 'facebooklink', true );
			$twitter = get_post_meta( get_the_ID(), 'twitter', true );
			$twitterlink = get_post_meta( get_the_ID(), 'twitterlink', true );
			$linkedin = get_post_meta( get_the_ID(), 'linkedin', true );
			$linkedinlink = get_post_meta( get_the_ID(), 'linkedinlink', true );
			$skype = get_post_meta( get_the_ID(), 'skype', true );
			$skypelink = get_post_meta( get_the_ID(), 'skypelink', true );
			$link = get_post_meta( get_the_ID(), 'link', true );
			
			if( $col == 1 ){
				$bposts .= '<div class="full_width';
			}elseif( $col == 2 ){
				$bposts .= '<div class="one_half';
			}elseif( $col == 3 ){
				$bposts .= '<div class="one_third';
			}elseif( $col == 4 ){
				$bposts .= '<div class="one_fourth';
			}elseif( $col == 5 ){
				$bposts .= '<div class="one_fifth';
			}
			if( ($n>=$col) && ( ($n%$col) == 0 ) ) {
				$bposts .= ' last_column member_info">';
			} else {
				$bposts .= ' member_info">';
			}
			$bposts .= '<a href="'.get_permalink().'" title="'.get_the_title().'">'.( (get_the_post_thumbnail( get_the_ID(), 'thumbnail') != '') ? get_the_post_thumbnail( get_the_ID(), 'large') : '<img src="'.get_template_directory_uri().'/images/img_404.png" />' ).'</a>
				<div class="member_dtl">
				<h2>'.get_the_title().'</h2>
				<h3>'.$designation.'</h3>
				<p>'.get_the_excerpt().'</p>';
				if ( $link != '' ){
					$bposts .= '<p><a href="'.$link.'" title="'.get_the_title().'">Read More...</a></p>';
				}
			$bposts .= '</div><div class="team_links">';
				if( $facebook != '' ){
					$bposts .= '<a href="'.$facebooklink.'" title="'.$facebook.'" target="_blank"><i class="fa fa-'.$facebook.' fa-lg"></i></a>';
				}
				if( $twitter != '' ){
					$bposts .= '<a href="'.$twitterlink.'" title="'.$twitter.'" target="_blank"><i class="fa fa-'.$twitter.' fa-lg"></i></a>';
				}
				if( $linkedin != '' ){
					$bposts .= '<a href="'.$linkedinlink.'" title="'.$linkedin.'" target="_blank"><i class="fa fa-'.$linkedin.' fa-lg"></i></a>';
				}
				if( $skype != '' ){
					$bposts .= '<a href="'.$skypelink.'" title="'.$skype.'" target="_blank"><i class="fa fa-'.$skype.' fa-lg"></i></a>';
				}
				$bposts .= '</div>';
			$bposts .= '</div>';
		}
	}else{
		$bposts .= '<p>Sorry! There are no recent posts.</p>';
	}
	wp_reset_query();
	$bposts .= '<div class="clear"></div></div>';
    return $bposts;
}
add_shortcode( 'ourteam', 'ourteamposts_func' );


// add shortcode for sercices
function skt_bizness_services($skt_service, $service_content = null){
		extract( shortcode_atts(array(
			'title'		=> 'title',
			'icon'		=> '',
			'last'		=> '',
			'link'		=> ''
		), $skt_service));
		
		return '<div class="service-cell '.$last.'">
				<div class="service-icon"><i class="fa fa-'.$icon.' fa-3x"></i></div>
				<div class="service-desc"><h4>'.$title.'</h4>
				'.$service_content.'
				</div><div class="clear"></div>
				</div>';
}
add_shortcode('service','skt_bizness_services');